> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-giscus-unauthenticated-handling.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post proxyviduimg2video



## OpenAPI

````yaml https://api.comfy.org/openapi post /proxy/vidu/img2video
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /proxy/vidu/img2video:
    post:
      tags:
        - API Nodes
        - Released
      operationId: ViduImg2Video
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ViduTaskRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ViduTaskReply'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error 4xx/5xx
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error 4xx/5xx
components:
  schemas:
    ViduTaskRequest:
      properties:
        aspect_ratio:
          type: string
        callback_url:
          type: string
        duration:
          format: int32
          type: integer
        enhance:
          type: boolean
        images:
          items:
            type: string
          type: array
        model:
          type: string
        movement_amplitude:
          enum:
            - auto
            - small
            - medium
            - large
          type: string
        priority:
          format: int32
          type: integer
        prompt:
          type: string
        resolution:
          type: string
        seed:
          format: int32
          type: integer
        style:
          enum:
            - general
            - anime
          type: string
      type: object
    ViduTaskReply:
      properties:
        aspect_ratio:
          type: string
        created_at:
          format: date-time
          type: string
        credits:
          format: int32
          type: integer
        duration:
          format: int32
          type: integer
        images:
          items:
            type: string
          type: array
        model:
          type: string
        movement_amplitude:
          enum:
            - auto
            - small
            - medium
            - large
          type: string
        prompt:
          type: string
        resolution:
          type: string
        seed:
          format: int32
          type: integer
        state:
          $ref: '#/components/schemas/ViduState'
        style:
          enum:
            - general
            - anime
          type: string
        task_id:
          type: string
      required:
        - task_id
        - state
        - credits
      type: object
    Error:
      properties:
        details:
          description: >-
            Optional detailed information about the error or hints for resolving
            it.
          items:
            type: string
          type: array
        message:
          description: A clear and concise description of the error.
          type: string
      type: object
    ViduState:
      enum:
        - created
        - processing
        - queueing
        - success
        - failed
      type: string

````